## org.apache.cassandra.utils
Class OutputHandler.LogOutput

    java.lang.Object
      org.apache.cassandra.utils.OutputHandler.LogOutput

All Implemented Interfaces:
  OutputHandler

Enclosing interface:
  OutputHandler

    public static class OutputHandler.LogOutput

extends java.lang.Object
implements OutputHandler

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.cassandra.utils.OutputHandler
`OutputHandler.LogOutput, OutputHandler.SystemOutput`

Constructor Summary
`OutputHandler.LogOutput()`

Method Summary
`void` `debug(java.lang.String msg)`
`void` `output(java.lang.String msg)`
`void` `warn(java.lang.String msg)`
`void` `warn(java.lang.String msg, java.lang.Throwable th)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputHandler.LogOutput

    public OutputHandler.LogOutput()

Method Detail

### output

    public void output(java.lang.String msg)

  Specified by:
    `output` in interface `OutputHandler`

### debug

    public void debug(java.lang.String msg)

  Specified by:
    `debug` in interface `OutputHandler`

### warn

    public void warn(java.lang.String msg)

  Specified by:
    `warn` in interface `OutputHandler`

### warn

    public void warn(java.lang.String msg,
                     java.lang.Throwable th)

  Specified by:
    `warn` in interface `OutputHandler`

Copyright © 2013 The Apache Software Foundation